Bug 212387 - Real's Rhapsody player plugin need execmod permissions
Real's Rhapsody player plugin need execmod permissions
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-26 12:28 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-14 10:17:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-10-26 12:28:19 EDT
Description of problem:

Oct 26 10:24:46 cynosure kernel: audit(1161879886.283:564): avc:  denied  {
execmod } for  pid=28545 comm="firefox-bin" name="nprhapengine.so" dev=hda3
ino=6410537 scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:object_r:user_home_t:s0 tclass=file

Version-Release number of selected component (if applicable):
Comment 1 Daniel Walsh 2006-11-17 13:57:19 EST
What is the path to this file?
Comment 2 Orion Poplawski 2006-11-17 14:12:34 EST
In my case ~/.mozilla/plugins/nprhapengine.so
Comment 3 Daniel Walsh 2007-02-14 10:17:39 EST
All of these bugs should be fixed in FC6,  You could attempt to use the FC6
policy on FC5 or upgrade.  Or you could use 

audit2allow -M mypolicy -i /var/log/audit/audit.log 
and build local customized policy

Note You need to log in before you can comment on or make changes to this bug.